Worlds
Get asset processing status
Poll the processing status of an uploaded world asset file.
Authorization
bearerAuthorizationBearer token
User session token. Obtained from POST /api/auth/login.
In: header
Path Parameters
id*string
asset_id*string
Response Body
application/json
application/json
application/json
curl -X GET "https://loading/api/worlds/string/assets/string/status"{
"data": {
"status": "pending",
"progress": 0.5,
"message": "Processing…",
"queue_position": 0,
"hash": null,
"size": null,
"done_at": null,
"error": null
},
"error": null,
"time": 1680000000000,
"request": "/api/endpoint"
}{
"data": null,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found.",
"status": 404
},
"time": 1680000000000,
"request": "/api/endpoint"
}{
"data": null,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found.",
"status": 404
},
"time": 1680000000000,
"request": "/api/endpoint"
}